proclist
========

[![Latest version](https://img.shields.io/crates/v/proclist.svg)](https://crates.io/crates/proclist)
[![Documentation](https://docs.rs/proclist/badge.svg)](https://docs.rs/proclist)
![License](https://img.shields.io/crates/l/proclist.svg)

Cross-platform library to retrieve OS processes information.

## Example

```rust
extern crate proclist;

fn main() {
    for process_info in proclist::iterate_processes_info().filter_map(|r| r.ok()) {
        println!("[name]: {}, [pid]: {}", process_info.name, process_info.pid);
    }
}
```

## Details

- On Windows, library uses `CreateToolhelp32Snapshot`, `Process32First`, `Process32Next`
- On Linux, it uses `procfs`
- On OS X, it uses libproc's `proc_listpids`, `proc_pidinfo`, `proc_name`

## License

Licensed under either of:

 * Apache License, Version 2.0, ([LICENSE-APACHE](LICENSE-APACHE) or http://www.apache.org/licenses/LICENSE-2.0)
 * MIT license ([LICENSE-MIT](LICENSE-MIT) or http://opensource.org/licenses/MIT)

## Contribution

Unless you explicitly state otherwise, any contribution intentionally submitted
for inclusion in the work by you, as defined in the Apache-2.0 license, shall be dual licensed as above, without any
additional terms or conditions.
