#[cfg(target_os = "linux")]
use integrations::linux::*;
#[cfg(target_os = "macos")]
use integrations::osx::*;
#[cfg(target_os = "windows")]
use integrations::windows::*;

use types::*;

/// Retrieve processes information as a vector.
/// Short-circuits on any error along the way.
#[inline]
pub fn get_processes_info() -> Result<Vec<ProcessInfo>, Error> {
    iterate_processes_info().collect()
}
