/// Process information.
#[derive(Clone, Debug)]
pub struct ProcessInfo {
    /// Name of the process.
    pub name: String,
    /// Identifier of the process.
    pub pid: u32,
    /// Identifier of the parent process.
    pub parent_pid: u32,
    /// Number of execution threads started by the process.
    #[cfg(not(target_os = "macos"))]
    pub threads_count: u32,
}
